# pandas.plotting.parallel_coordinates

pandas.plotting.parallel_coordinates(frame, class_column, cols=None, ax=None, color=None, use_columns=False, xticks=None, colormap=None, axvlines=True, axvlines_kwds=None, sort_labels=False, **kwargs)

  Parallel coordinates plotting.

  Parameters
    frame DataFrame
    class_column str

      Column name containing class names.

    cols list, optional

      A list of column names to use.

    ax matplotlib.axis, optional

      Matplotlib axis object.

    color list or tuple, optional

      Colors to use for the different classes.

    use_columns bool, optional

      If true, columns will be used as xticks.

    xticks list or tuple, optional

      A list of values to use for xticks.

    colormap str or matplotlib colormap, default None

      Colormap to use for line colors.

    axvlines bool, optional

      If true, vertical lines will be added at each xtick.

    axvlines_kwds keywords, optional

      Options to be passed to axvline method for vertical lines.

    sort_labels bool, default False

      Sort class_column labels, useful when assigning colors.

    **kwargs

      Options to pass to matplotlib plotting method.

  Returns
    class:matplotlib.axis.Axes

  Examples

      >>> df = pd.read_csv(
      ...     'https://raw.github.com/pandas-dev/'
      ...     'pandas/master/pandas/tests/io/data/csv/iris.csv'
      ... )
      >>> pd.plotting.parallel_coordinates(
      ...     df, 'Name', color=('#556270', '#4ECDC4', '#C7F464')
      ... )